| Kea 3.0.2-git

lease.h File Reference
`#include <asiolink/io_address.h>`
`#include <dhcp/duid.h>`
`#include <dhcp/option.h>`
`#include <dhcp/hwaddr.h>`
`#include <dhcpsrv/subnet_id.h>`
`#include <cc/user_context.h>`
`#include <cc/cfg_to_element.h>`
`#include <util/dhcp_space.h>`
Include dependency graph for lease.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | isc::dhcp::Lease
| a common structure for IPv4 and IPv6 leases More...
struct | isc::dhcp::Lease4
| Structure that holds a lease for IPv4 address. More...
struct | isc::dhcp::Lease6
| Structure that holds a lease for IPv6 address and/or prefix. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
typedef boost::shared_ptr< const Lease6 > | isc::dhcp::ConstLease6Ptr
| Pointer to a const Lease6 structure.
typedef std::vector< Lease4Ptr > | isc::dhcp::Lease4Collection
| A collection of IPv4 leases.
typedef boost::shared_ptr< Lease4Collection > | isc::dhcp::Lease4CollectionPtr
| A shared pointer to the collection of IPv4 leases.
typedef boost::shared_ptr< Lease4 > | isc::dhcp::Lease4Ptr
| Pointer to a Lease4 structure.
typedef std::vector< Lease6Ptr > | isc::dhcp::Lease6Collection
| A collection of IPv6 leases.
typedef boost::shared_ptr< Lease6Collection > | isc::dhcp::Lease6CollectionPtr
| A shared pointer to the collection of IPv6 leases.
typedef boost::shared_ptr< Lease6 > | isc::dhcp::Lease6Ptr
| Pointer to a Lease6 structure.
typedef boost::shared_ptr< Lease > | isc::dhcp::LeasePtr
| Pointer to the lease object.
template<isc::util::DhcpSpace D>
using | isc::dhcp::LeaseT = typename AdapterLease<D>::type
template<isc::util::DhcpSpace D>
using | isc::dhcp::LeaseTPtr = boost::shared_ptr<LeaseT<D>>

## Functions
std::ostream & | isc::dhcp::operator<< (std::ostream &os, const Lease &lease)
| Stream output operator.